package com.eden.room.constant;

/**
 * 房源相关常量
 */
public class RoomConstants {
    
    // Excel相关常量
    public static final String EXCEL_CONTENT_TYPE = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
    public static final String UTF8 = "utf-8";
    public static final String EXCEL_EXTENSION = ".xlsx";
    public static final int EXCEL_DEFAULT_COLUMN_WIDTH = 15;
    public static final String EXCEL_DATE_FORMAT = "yyyy-MM-dd";
    public static final int EXCEL_HEADER_ROW_NUMBER = 1;
    public static final long MAX_FILE_SIZE = 1024 * 1024; // 1MB

    public static final String CONTENT_TYPE = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
    public static final String CHARSET = "utf-8";
    private static final String EXPORT_FILE_PREFIX = "房源信息_";

    // 文件相关常量
    public static final String ROOM_IMPORT_TEMPLATE = "room_import.xlsx";
    public static final String ROOM_IMPORT_RESULT = "room_import_result.xlsx";
    
    // 业务相关常量
    public static final String DEL_FLAG_NORMAL = "0";
    public static final String DEFAULT_USERNAME = "admin";
    public static final int BATCH_SIZE = 500;


    public static final int IMPORT_HEADER_ROW_INDEX = 2;
}